package eu.ruekov.ruakij.LinkedBeaconTeleporters.listener;

import eu.ruekov.ruakij.LinkedBeaconTeleporters.Main;
import eu.ruekov.ruakij.LinkedBeaconTeleporters.linkedBeaconTeleporter.LinkedBeaconTeleporterItem;
import eu.ruekov.ruakij.LinkedBeaconTeleporters.linkedBeaconTeleporter.LinkedBeaconTeleporterManager;
import org.bukkit.Bukkit;
import org.bukkit.Material;
import org.bukkit.event.EventHandler;
import org.bukkit.event.EventPriority;
import org.bukkit.event.Listener;
import org.bukkit.event.inventory.CraftItemEvent;
import org.bukkit.event.inventory.PrepareItemCraftEvent;
import org.bukkit.inventory.ItemStack;
import org.bukkit.inventory.Recipe;

public class OnCraftItemEvent implements Listener {

    @EventHandler(priority = EventPriority.LOW)
    public void onCraftItemEvent(CraftItemEvent e){

        Recipe recipe = e.getRecipe();
        ItemStack itemResult = recipe.getResult();

        // Check if it has LinkedBeaconTeleporter-Data
        LinkedBeaconTeleporterItem lbtItem = LinkedBeaconTeleporterManager.getLbtItemFromItemStack(itemResult);

        // Ignore if not found
        if(lbtItem == null) return;

        // Create new LinkedBeaconTeleporterItem
        lbtItem = new LinkedBeaconTeleporterItem();

        ItemStack item = lbtItem.item();
        // Exactly 2
        item.setAmount(2);

        // FIXME: Changing the just-crafted-item only works for a single item, bulk-crafting (e.g. Shift-Click) will result in default-items getting crafted!

        e.setCurrentItem(item);
    }
}
